IIS 5 on NT & XP workstations: Security Concerns?

From: Bill Hubbard (billh@edgeinformation.net)
Date: 02/27/03


From: "Bill Hubbard" <billh@edgeinformation.net>
Date: Thu, 27 Feb 2003 08:20:49 -0800


On the NT box you'll have to use IIS4, the XP comes with
IIS 5.1. You don't say what services under IIS you'll be
running, but since you're behind a firewall you can
control access to ports 80, 81 for http and 20, 21 for
FTP.
>-----Original Message-----
>Hi,
>
>We need to put IIS 5 on our programmers' workstations. The
>workstations are NT 4 and XP. The workstations are behind
a firewall,
>but do have outbound access to the Internet (any
protocol, any place).
>
>I am not very familiar with IIS. What are my security
risks here?
>
>Dan
>Austin, TX
>.
>



Relevant Pages

  • RE: IIS6 on W2k3 DCs
    ... You dont just have to worry about threats from the internet, but from workstations. ... Now - I agree with you about best practices not applying to everyone in every situation, but having said that, there are some "best practices" that if met minimize risk, and the path you take, wont minimize it in the same way. ... But Small Business Server 2003 runs with IIS on our domain controller. ... >guide for W2k3 but have instead pointed to Microsoft's ...
    (Focus-Microsoft)
  • Re: Management Point not installing
    ... and IIS in AD and two XP workstations. ... and I created the smsservice user, gave it domain admin and local admin ... > I then ran the SMS service viewer (I am at home and I can't remember the ...
    (microsoft.public.sms.setup)
  • Re: .NET Objekte aus Java heraus ansteuern
    ... C# WebService einen Internet Information Server auf der Maschine. ... Da das Modul in Zukunft nicht nur auf einem Server deployed werden soll, ... sondern auch auf normalen Workstations benötige ich eine Integration ohne ... Mein XP Pro hat ein IIS, kann man den nicht fuer .Net verwenden? ...
    (de.comp.lang.java)
  • Re: IIS 6.0 Development
    ... Unless you are using features specific to IIS 6.0, you don't need IIS 6 on ... the workstations. ... > thier workstation is Windows XP running IIS 5.1? ...
    (microsoft.public.dotnet.general)
  • IIS 5 on NT & XP workstations: Security Concerns?
    ... We need to put IIS 5 on our programmers' workstations. ... The workstations are behind a firewall, ...
    (microsoft.public.inetserver.iis.security)